org.keycloak.models.map.authorization.entity

## Class MapPolicyEntity<K>

- java.lang.Object
- - org.keycloak.models.map.authorization.entity.MapPolicyEntity<K>

- All Implemented Interfaces:
    AbstractEntity<K>, UpdatableEntity

      public class MapPolicyEntity<K>
      extends Object
      implements AbstractEntity<K>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Comparator<MapPolicyEntity<?>>` | `COMPARE_BY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapPolicyEntity()`
    `MapPolicyEntity(K id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAssociatedPolicy(String policyId)`
    `void` | `addResource(String resourceId)`
    `void` | `addScope(String scopeId)`
    `Set<String>` | `getAssociatedPoliciesIds()`
    `Map<String,String>` | `getConfig()`
    `String` | `getConfigValue(String name)`
    `DecisionStrategy` | `getDecisionStrategy()`
    `String` | `getDescription()`
    `K` | `getId()`
    `Logic` | `getLogic()`
    `String` | `getName()`
    `String` | `getOwner()`
    `Set<String>` | `getResourceIds()`
    `String` | `getResourceServerId()`
    `Set<String>` | `getScopeIds()`
    `String` | `getType()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `putConfig(String name, String value)`
    `void` | `removeAssociatedPolicy(String policyId)`
    `void` | `removeConfig(String name)`
    `void` | `removeResource(String resourceId)`
    `void` | `removeScope(String scopeId)`
    `void` | `setConfig(Map<String,String> config)`
    `void` | `setDecisionStrategy(DecisionStrategy decisionStrategy)`
    `void` | `setDescription(String description)`
    `void` | `setLogic(Logic logic)`
    `void` | `setName(String name)`
    `void` | `setOwner(String owner)`
    `void` | `setResourceServerId(String resourceServerId)`
    `void` | `setType(String type)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### COMPARE_BY_NAME

          public static final Comparator<MapPolicyEntity<?>> COMPARE_BY_NAME

  - ### Constructor Detail

    - #### MapPolicyEntity

          public MapPolicyEntity(K id)

    - #### MapPolicyEntity

          public MapPolicyEntity()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getDecisionStrategy

          public DecisionStrategy getDecisionStrategy()

    - #### setDecisionStrategy

          public void setDecisionStrategy(DecisionStrategy decisionStrategy)

    - #### getLogic

          public Logic getLogic()

    - #### setLogic

          public void setLogic(Logic logic)

    - #### getConfig

          public Map<String,String> getConfig()

    - #### getConfigValue

          public String getConfigValue(String name)

    - #### setConfig

          public void setConfig(Map<String,String> config)

    - #### removeConfig

          public void removeConfig(String name)

    - #### putConfig

          public void putConfig(String name,
                                String value)

    - #### getResourceServerId

          public String getResourceServerId()

    - #### setResourceServerId

          public void setResourceServerId(String resourceServerId)

    - #### getAssociatedPoliciesIds

          public Set<String> getAssociatedPoliciesIds()

    - #### addAssociatedPolicy

          public void addAssociatedPolicy(String policyId)

    - #### removeAssociatedPolicy

          public void removeAssociatedPolicy(String policyId)

    - #### getResourceIds

          public Set<String> getResourceIds()

    - #### addResource

          public void addResource(String resourceId)

    - #### removeResource

          public void removeResource(String resourceId)

    - #### getScopeIds

          public Set<String> getScopeIds()

    - #### addScope

          public void addScope(String scopeId)

    - #### removeScope

          public void removeScope(String scopeId)

    - #### getOwner

          public String getOwner()

    - #### setOwner

          public void setOwner(String owner)

    - #### getId

          public K getId()

      Specified by:
        `getId` in interface `AbstractEntity<K>`

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `UpdatableEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `UpdatableEntity`
      Returns:

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.